TrackServiceImpl

com.j0h1.contour.admin.server

## Class TrackServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - com.j0h1.contour.admin.server.TrackServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, TrackService, java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class TrackServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements TrackService

  RemoteServiceServlet that implements methods defined in TrackService.
  Author:
    Johannes Riedmann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrackServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(int trackId)` Calls DAOTrack to delete a track from the database.
    `java.util.ArrayList<Track>` | `findAll()` Calls DAOTrack to return all tracks persisted in the database.
    `void` | `persist(Track track)` Calls DAOTrack server-sided to persist a Track to the database.

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TrackServiceImpl

          public TrackServiceImpl()

  - ### Method Detail

    - #### persist

          public void persist(Track track)
                       throws DAOTrackException

      Description copied from interface: `TrackService`
      Calls DAOTrack server-sided to persist a Track to the database.
      Specified by:
        `persist` in interface `TrackService`
      Parameters:
        `track` - Track object to be persisted to database.
      Throws:
        `DAOTrackException` - If persisting image fails, provide specific feedback

    - #### delete

          public void delete(int trackId)
                      throws DAOTrackException

      Description copied from interface: `TrackService`
      Calls DAOTrack to delete a track from the database.
      Specified by:
        `delete` in interface `TrackService`
      Parameters:
        `trackId` - ID of Track to be deleted.
      Throws:
        `DAOTrackException` - If deletion of image fails, provide specific feedback

    - #### findAll

          public java.util.ArrayList<Track> findAll()
                                             throws DAOTrackException

      Description copied from interface: `TrackService`
      Calls DAOTrack to return all tracks persisted in the database.
      Specified by:
        `findAll` in interface `TrackService`
      Returns:
        List containing all Track objects persisted in the database.
      Throws:
        `DAOTrackException` - If query fails, provide specific feedback